 Sky Dragon is up and running. We need people to sign up and add content. Introduce yourself at the General discussion forum. Speak up to welcome a few others, start a thread, or contribute to someone else's thread.
Viewing Single Post From: The giant space ship example  

Chris HoStuart  Dec 8 2011, 03:47 PM 
Administrator

Hold on to your hat… this is a major jump in complexity with this post. The Grey Gas approximation A grey gas is one for which the interaction with radiation is the same at all frequencies. (It has no colour.) This is unlike any real gas, but it is a useful stepping stone towards solving the problem given for this topic. I’ll consider the starship with a grey atmosphere. 1. BeerLambert law The specific transparency of a gas can be described with an absorption coefficient k. In general, this will depend on temperature, pressure, and frequency. For a grey gas, we can treat it as constant value. The units of k are area/mass. For a given mass of the gas, k gives a cross section area which absorbs incident radiation. You can think of it this way. Every molecule has a certain cross section area representing how effectively it absorbs radiation. The coefficient k is this molecular cross section, times the number of molecules per unit mass. Often the units for k are per mol, rather than per kg. Consider a flux of radiation, passing through a very thin layer of gas. Let the radiation have power per unit area of Q W/m^{2}. The very thin layer of gas has a certain mass per unit area; call this x kg/m^{2}. The absorption cross section within this square meter will be k.x; so the amount of radiation absorbed is k.x.Q; and what gets through is Q.(1k.x). Now generalize to a thick layer of gas, with thickness X kg/m^{2}. Divide this into n thin layers stacked together, where each thin layer has X/n kg/m^{2}. The radiation that gets through all n layers is Q.(1k.X/n)^{n}. As n becomes large, this approaches in the limit Q.e^{k.X}; this is the amount of radiation that gets through the gas without being absorbed. This relation is known as the BeerLambert law, and it applies in many contexts other than radiation through a gas. It is often given in this equivalent form:
The above derivation assumed that the radiation was coming perpendicular to the gas layer. In general, it might be coming at an angle "a" from perpendicular. In this case, the effective thickness of the layer is divided by cos(a). I'm going to gloss over a couple of complications here, and simply consider "isotropic" radiation (that is, the same in all directions), in which case the angles average out to let a = 60 degrees be a reasonable average; so cos(a) = 0.5. In other words, we can double the absorptivity and consider radiation moving vertically only, as a reasonable proxy for isotropic radiation within the atmosphere. 2. Absorption and emission in the grey atmosphere It is possible to obtain "closed form" solutions in this case (see the book "Principles of Planetary Climate" by R. Pierrehumbert) but I'm going to go straight to a simple numeric integration. For a given altitude z, we can give p(z) (pressure), T(z) temperature, U(z) thermal radiation upwards, and D(z) thermal radiation downwards. Consider a layer of atmosphere, from altitude z to z+dz. The mass of gas per unit area in this layer is dp/g, where g is gravitational acceleration, and dp = p(z)p(z+dz) is the change in pressure. Any radiation passing through this layer has a fraction k.dp/g which is absorbed. [indentblock]Added in edit. Oops. The absorbed fraction is 1e^{k.dp/g}. This is close to k.dp/g if dp is sufficiently small.[/indentblock] We can apply Kirchoff's law, and conclude that the emissivity matches absorptivity; so this layer is radiating (k.dp/g).s.T(z)^{4}, where s is the StefanBoltzmann constant, 5.67e8 in SI units. I am using T(z) as the representative temperature for the entire layer, which is fine as long as dz is sufficiently small. This radiation is going both upwards, and downwards, equally. In thermal equilibrium, where the radiation from above and from below is characteristic of T(z), the radiation absorbed is equal to what is emitted; as we should expect. Hence, removing the absorbed radiation and adding the emitted radiation we have:
[indentblock]With the above correction, this should be:
If we know the temperature profile T(z), then we can use the boundary conditions to calculate U(z) and D(z) at every level, in increments of dz. Effectively, we are doing a numeric integration, with step size dz. The boundary conditions are:
3. Temperature and lapse rate in the atmosphere A good online reference for this subsection is Thermodynamics & Statistical Mechanics, lecture notes by Richard Fitzpatrick of the University of Texas. (Also available as a bookl.) In particular, see this page: "The adiabatic atmosphere". We've already picked on the DALR as a basis for temperature in the atmosphere. Convenient formulae for altitude and temperature in terms of pressure are as follows:
4. Convection and the stratosphere If the DALR extends all the way to the very top of the atmosphere, then these formulae give a finite height for the total atmosphere. At the very top of the atmosphere the pressure is zero. This occurs when z = z_{1}/f, which on Earth is about 29.4 km. This doesn't happen, because the DALR only applies in the troposphere, where there is convection. The stratosphere has a different lapse rate, which is actually determined by a radiative equilibrium. Consider the formulae used in section 2 for breaking up the atmosphere into layers, and calculating upwards and downwards radiation. One feature of those formulae is that they don't conserve energy! In the lower levels of the atmosphere, we will find that the radiation emitted from a layer is greater than the radiation being absorbed. That's actually okay. The temperature profile is fixed by convection, and convection works to circulate warmer air upwards, which provides additional flows of energy up into the atmosphere. All we have done is assume that convection works to maintain the temperature profile; and then calculate what radiation is absorbed and emitted at those temperatures. We will find, however, that at some level this effect reverses, and each layer will be absorbing more than it emits. This actually marks a point where convection stops; the end of the troposphere. From this point, an accurate calculation would not use the DALR any more, but would pick a temperature profile that conserves energy at each level. This is called "radiative equilibrium", and it is characteristic of a planet's stratosphere. I shall proceed with the calculation without worrying about stratospheres. It will be easy to identify the altitude at which the DALR ceases to be appropriate. As long as this is very high in the atmosphere, the end result should be pretty accurate. This was a bugger of a post to write, and it will be worse to read when you weren't expecting it. Never mind. With my next post, I'll just go ahead with the calculations. Rather than estimating a concentration level for a greenhouse gas, I'll just try different values for k, and see what impact they have. I'll also attach an Excel spreadsheet so others can experiment as well! Be patient. We still have another jump in complexity to deal with a real gas before the question in the original post is finally answered. Cheers  Chris PS. I have edited this to invert the definition of f, to be R/C_{p}. This makes everything a little bit more in accord with usual conventions; also fixed one typo in a formula. Grateful thanks in advance to anyone who catches more errors in my algebra! Edited by Chris HoStuart, Dec 10 2011, 08:39 AM.

The giant space ship example · Physical theory for climate 